import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/alibaba/havana/api/member/member.dart';

class IdentifierCheckResult implements DObjectBase {
    String message;

    List<Member> membersAffected;

    List<int> membersMayGrab;

    int code;


    String getRType() {
        return r'com.alibaba.havana.api.member.IdentifierCheckResult';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        message = JsonUtil.parseString(json['message']);
        membersAffected = (json['membersAffected'] as List)?.map((dynamic e) => e == null ? null : (new Member()..fromJson(e as Map, genericNewMap: null)))?.toList();
        membersMayGrab = (json['membersMayGrab'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        code = JsonUtil.parseInt(json['code']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('message', makePair(message,14));
        writeNotNull('membersAffected', makePair(membersAffected == null ? null : membersAffected.map((Member e) => makePair(e?.toHessianJson(),r'com.alibaba.havana.api.member.Member')).toList(),15));
        writeNotNull('membersMayGrab', makePair(membersMayGrab == null ? null : membersMayGrab.map((int e) => makePair(e,7)).toList(),15));
        writeNotNull('code', makePair(code,6));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('message', message);
        writeNotNull('membersAffected', makePairJson(membersAffected == null ? null : membersAffected.map((Member e) => makePairJson(e?.toJson(),r'com.alibaba.havana.api.member.Member')).toList(),15));
        writeNotNull('membersMayGrab', makePairJson(membersMayGrab == null ? null : membersMayGrab.map((int e) => e).toList(),15));
        writeNotNull('code', code);
        return val;
    }
}
