import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/alibaba/havana/utils/mobile_phone_number.dart';

class LaiwangMemberExtend implements DObjectBase {
    String laiwangNick;

    MobilePhoneNumber laiwangMobilePhoneNumber;

    String laiwangEmail;

    String laiwangNickDisplay;

    int memberId;


    String getRType() {
        return r'com.alibaba.havana.api.member.LaiwangMemberExtend';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        laiwangNick = JsonUtil.parseString(json['laiwangNick']);
        laiwangMobilePhoneNumber = json['laiwangMobilePhoneNumber'] == null ? null : (new MobilePhoneNumber()..fromJson(json['laiwangMobilePhoneNumber'] as Map, genericNewMap: null));
        laiwangEmail = JsonUtil.parseString(json['laiwangEmail']);
        laiwangNickDisplay = JsonUtil.parseString(json['laiwangNickDisplay']);
        memberId = JsonUtil.parseInt(json['memberId']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('laiwangNick', makePair(laiwangNick,14));
        writeNotNull('laiwangMobilePhoneNumber', makePair(laiwangMobilePhoneNumber?.toHessianJson(),r'com.alibaba.havana.utils.MobilePhoneNumber'));
        writeNotNull('laiwangEmail', makePair(laiwangEmail,14));
        writeNotNull('laiwangNickDisplay', makePair(laiwangNickDisplay,14));
        writeNotNull('memberId', makePair(memberId,7));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('laiwangNick', laiwangNick);
        writeNotNull('laiwangMobilePhoneNumber', makePairJson(laiwangMobilePhoneNumber?.toJson(),r'com.alibaba.havana.utils.MobilePhoneNumber'));
        writeNotNull('laiwangEmail', laiwangEmail);
        writeNotNull('laiwangNickDisplay', laiwangNickDisplay);
        writeNotNull('memberId', memberId);
        return val;
    }
}
