import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/alibaba/havana/utils/mobile_phone_number.dart';
import 'package:uic_test/domains/com/alibaba/havana/api/member/laiwang_member_extend.dart';

class Member implements DObjectBase {
    int id;

    String mobile;

    String taobaoNick;

    String cbuLoginId;

    String icbuLoginId;

    int status;

    String belongTo;

    String humanReadableBelongTo;

    String locale;

    bool emailConfirmed;

    bool mobileConfirmed;

    int joinFrom;

    String securityEmail;

    String securityMobile;

    int passwordIntensity;

    Map<String, String> profiles;

    bool isStaff;

    int businessType;

    int regionType;

    int accessType;

    int joinTime;

    String yunMail;

    bool isAdmin;

    String alipayEmail;

    String alipayMobile;

    String laiwangNick;

    MobilePhoneNumber laiwangMobilePhoneNumber;

    String laiwangEmail;

    String laiwangNickDisplay;

    bool hasLaiwangPassword;

    LaiwangMemberExtend laiwangMemberExtend;

    int passwordTag;

    int tag;

    bool lw;

    bool alipayWireless;

    DateTime gmtCreateTime;

    DateTime gmtLastModifiedTime;

    String email;


    String getRType() {
        return r'com.alibaba.havana.api.member.Member';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        id = JsonUtil.parseInt(json['id']);
        mobile = JsonUtil.parseString(json['mobile']);
        taobaoNick = JsonUtil.parseString(json['taobaoNick']);
        cbuLoginId = JsonUtil.parseString(json['cbuLoginId']);
        icbuLoginId = JsonUtil.parseString(json['icbuLoginId']);
        status = JsonUtil.parseInt(json['status']);
        belongTo = JsonUtil.parseString(json['belongTo']);
        humanReadableBelongTo = JsonUtil.parseString(json['humanReadableBelongTo']);
        locale = JsonUtil.parseString(json['locale']);
        emailConfirmed = JsonUtil.parseBool(json['emailConfirmed']);
        mobileConfirmed = JsonUtil.parseBool(json['mobileConfirmed']);
        joinFrom = JsonUtil.parseInt(json['joinFrom']);
        securityEmail = JsonUtil.parseString(json['securityEmail']);
        securityMobile = JsonUtil.parseString(json['securityMobile']);
        passwordIntensity = JsonUtil.parseInt(json['passwordIntensity']);
        profiles = json['profiles'] == null ? null : (new Map<String, String>.fromIterables((json['profiles'] as Map).keys.map((mkeyval) => JsonUtil.parseString(mkeyval))?.toList(),(json['profiles'] as Map).values.map((dynamic e) => JsonUtil.parseString(e))?.toList()));
        isStaff = JsonUtil.parseBool(json['isStaff']);
        businessType = JsonUtil.parseInt(json['businessType']);
        regionType = JsonUtil.parseInt(json['regionType']);
        accessType = JsonUtil.parseInt(json['accessType']);
        joinTime = JsonUtil.parseInt(json['joinTime']);
        yunMail = JsonUtil.parseString(json['yunMail']);
        isAdmin = JsonUtil.parseBool(json['isAdmin']);
        alipayEmail = JsonUtil.parseString(json['alipayEmail']);
        alipayMobile = JsonUtil.parseString(json['alipayMobile']);
        laiwangNick = JsonUtil.parseString(json['laiwangNick']);
        laiwangMobilePhoneNumber = json['laiwangMobilePhoneNumber'] == null ? null : (new MobilePhoneNumber()..fromJson(json['laiwangMobilePhoneNumber'] as Map, genericNewMap: null));
        laiwangEmail = JsonUtil.parseString(json['laiwangEmail']);
        laiwangNickDisplay = JsonUtil.parseString(json['laiwangNickDisplay']);
        hasLaiwangPassword = JsonUtil.parseBool(json['hasLaiwangPassword']);
        laiwangMemberExtend = json['laiwangMemberExtend'] == null ? null : (new LaiwangMemberExtend()..fromJson(json['laiwangMemberExtend'] as Map, genericNewMap: null));
        passwordTag = JsonUtil.parseInt(json['passwordTag']);
        tag = JsonUtil.parseInt(json['tag']);
        lw = JsonUtil.parseBool(json['lw']);
        alipayWireless = JsonUtil.parseBool(json['alipayWireless']);
        gmtCreateTime = JsonUtil.parseDateTime(json['gmtCreateTime']);
        gmtLastModifiedTime = JsonUtil.parseDateTime(json['gmtLastModifiedTime']);
        email = JsonUtil.parseString(json['email']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('id', makePair(id,7));
        writeNotNull('mobile', makePair(mobile,14));
        writeNotNull('taobaoNick', makePair(taobaoNick,14));
        writeNotNull('cbuLoginId', makePair(cbuLoginId,14));
        writeNotNull('icbuLoginId', makePair(icbuLoginId,14));
        writeNotNull('status', makePair(status,5));
        writeNotNull('belongTo', makePair(belongTo,14));
        writeNotNull('humanReadableBelongTo', makePair(humanReadableBelongTo,14));
        writeNotNull('locale', makePair(locale,14));
        writeNotNull('emailConfirmed', makePair(emailConfirmed,1));
        writeNotNull('mobileConfirmed', makePair(mobileConfirmed,1));
        writeNotNull('joinFrom', makePair(joinFrom,5));
        writeNotNull('securityEmail', makePair(securityEmail,14));
        writeNotNull('securityMobile', makePair(securityMobile,14));
        writeNotNull('passwordIntensity', makePair(passwordIntensity,5));
        writeNotNull('profiles', makePairMap(profiles == null ? null : new Map.fromIterables(profiles.keys.map((String e) => e?.toString()).toList(), profiles.values.map((String e) => makePair(e,14)).toList()),18,14));
        writeNotNull('isStaff', makePair(isStaff,1));
        writeNotNull('businessType', makePair(businessType,5));
        writeNotNull('regionType', makePair(regionType,5));
        writeNotNull('accessType', makePair(accessType,5));
        writeNotNull('joinTime', makePair(joinTime,7));
        writeNotNull('yunMail', makePair(yunMail,14));
        writeNotNull('isAdmin', makePair(isAdmin,1));
        writeNotNull('alipayEmail', makePair(alipayEmail,14));
        writeNotNull('alipayMobile', makePair(alipayMobile,14));
        writeNotNull('laiwangNick', makePair(laiwangNick,14));
        writeNotNull('laiwangMobilePhoneNumber', makePair(laiwangMobilePhoneNumber?.toHessianJson(),r'com.alibaba.havana.utils.MobilePhoneNumber'));
        writeNotNull('laiwangEmail', makePair(laiwangEmail,14));
        writeNotNull('laiwangNickDisplay', makePair(laiwangNickDisplay,14));
        writeNotNull('hasLaiwangPassword', makePair(hasLaiwangPassword,1));
        writeNotNull('laiwangMemberExtend', makePair(laiwangMemberExtend?.toHessianJson(),r'com.alibaba.havana.api.member.LaiwangMemberExtend'));
        writeNotNull('passwordTag', makePair(passwordTag,7));
        writeNotNull('tag', makePair(tag,5));
        writeNotNull('lw', makePair(lw,2));
        writeNotNull('alipayWireless', makePair(alipayWireless,2));
        writeNotNull('gmtCreateTime', makePair(gmtCreateTime?.millisecondsSinceEpoch,13));
        writeNotNull('gmtLastModifiedTime', makePair(gmtLastModifiedTime?.millisecondsSinceEpoch,13));
        writeNotNull('email', makePair(email,14));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('id', id);
        writeNotNull('mobile', mobile);
        writeNotNull('taobaoNick', taobaoNick);
        writeNotNull('cbuLoginId', cbuLoginId);
        writeNotNull('icbuLoginId', icbuLoginId);
        writeNotNull('status', status);
        writeNotNull('belongTo', belongTo);
        writeNotNull('humanReadableBelongTo', humanReadableBelongTo);
        writeNotNull('locale', locale);
        writeNotNull('emailConfirmed', emailConfirmed);
        writeNotNull('mobileConfirmed', mobileConfirmed);
        writeNotNull('joinFrom', joinFrom);
        writeNotNull('securityEmail', securityEmail);
        writeNotNull('securityMobile', securityMobile);
        writeNotNull('passwordIntensity', passwordIntensity);
        writeNotNull('profiles', makePairMapJson(profiles == null ? null : new Map.fromIterables(profiles.keys.map((String e) => e?.toString()).toList(), profiles.values.map((String e) => e).toList()),18,14));
        writeNotNull('isStaff', isStaff);
        writeNotNull('businessType', businessType);
        writeNotNull('regionType', regionType);
        writeNotNull('accessType', accessType);
        writeNotNull('joinTime', joinTime);
        writeNotNull('yunMail', yunMail);
        writeNotNull('isAdmin', isAdmin);
        writeNotNull('alipayEmail', alipayEmail);
        writeNotNull('alipayMobile', alipayMobile);
        writeNotNull('laiwangNick', laiwangNick);
        writeNotNull('laiwangMobilePhoneNumber', makePairJson(laiwangMobilePhoneNumber?.toJson(),r'com.alibaba.havana.utils.MobilePhoneNumber'));
        writeNotNull('laiwangEmail', laiwangEmail);
        writeNotNull('laiwangNickDisplay', laiwangNickDisplay);
        writeNotNull('hasLaiwangPassword', hasLaiwangPassword);
        writeNotNull('laiwangMemberExtend', makePairJson(laiwangMemberExtend?.toJson(),r'com.alibaba.havana.api.member.LaiwangMemberExtend'));
        writeNotNull('passwordTag', passwordTag);
        writeNotNull('tag', tag);
        writeNotNull('lw', lw);
        writeNotNull('alipayWireless', alipayWireless);
        writeNotNull('gmtCreateTime', gmtCreateTime);
        writeNotNull('gmtLastModifiedTime', gmtLastModifiedTime);
        writeNotNull('email', email);
        return val;
    }
}
