import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/extra_user_d_o.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/b2_b_extra_user_d_o.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/tiny_user_d_o.dart';

class BaseUserDO extends TinyUserDO implements DObjectBase {
    String address;

    String country;

    String mobilePhone;

    String activationAckNum;

    String aucWatch;

    DateTime birthday;

    String city;

    ExtraUserDO extraUserDO;

    String fullname;

    String gender;

    String idCardNumber;

    String interests;

    String inYellowUrl;

    String newEmail;

    String newPassword;

    String newPasswordAckNum;

    int nletter;

    String occupation;

    String phone;

    DateTime promotedDate1;

    DateTime promotedDate2;

    DateTime promotedDate3;

    DateTime promotedDate4;

    int promotedType;

    String province;

    int rateNum;

    int rateSum;

    int refUserId;

    DateTime regDate;

    String snick;

    int suspended;

    String town;

    int userActive;

    String userAim;

    String userFrom;

    int userLevel;

    int userlinkNum;

    String userMsnm;

    int userRank;

    DateTime userRegDate;

    String userRegIP;

    DateTime userSessionTime;

    int userStyle;

    int userViewEmail;

    String userYim;

    int warnsNum;

    String zip;

    DateTime userEmailTime;

    DateTime gmtModified;

    B2BExtraUserDO b2bExtraUserDO;

    String countryCode;

    int innerTag;

    String loginMobile;

    bool mobileReleased;

    bool disabledCustomer;

    bool reliable;

    String password;


    String getRType() {
        return r'com.taobao.uic.common.domain.BaseUserDO';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        super.fromJson(json, genericNewMap: null);

        //从Map转成对象的实现
        address = JsonUtil.parseString(json['address']);
        country = JsonUtil.parseString(json['country']);
        mobilePhone = JsonUtil.parseString(json['mobilePhone']);
        activationAckNum = JsonUtil.parseString(json['activationAckNum']);
        aucWatch = JsonUtil.parseString(json['aucWatch']);
        birthday = JsonUtil.parseDateTime(json['birthday']);
        city = JsonUtil.parseString(json['city']);
        extraUserDO = json['extraUserDO'] == null ? null : (new ExtraUserDO()..fromJson(json['extraUserDO'] as Map, genericNewMap: null));
        fullname = JsonUtil.parseString(json['fullname']);
        gender = JsonUtil.parseString(json['gender']);
        idCardNumber = JsonUtil.parseString(json['idCardNumber']);
        interests = JsonUtil.parseString(json['interests']);
        inYellowUrl = JsonUtil.parseString(json['inYellowUrl']);
        newEmail = JsonUtil.parseString(json['newEmail']);
        newPassword = JsonUtil.parseString(json['newPassword']);
        newPasswordAckNum = JsonUtil.parseString(json['newPasswordAckNum']);
        nletter = JsonUtil.parseInt(json['nletter']);
        occupation = JsonUtil.parseString(json['occupation']);
        phone = JsonUtil.parseString(json['phone']);
        promotedDate1 = JsonUtil.parseDateTime(json['promotedDate1']);
        promotedDate2 = JsonUtil.parseDateTime(json['promotedDate2']);
        promotedDate3 = JsonUtil.parseDateTime(json['promotedDate3']);
        promotedDate4 = JsonUtil.parseDateTime(json['promotedDate4']);
        promotedType = JsonUtil.parseInt(json['promotedType']);
        province = JsonUtil.parseString(json['province']);
        rateNum = JsonUtil.parseInt(json['rateNum']);
        rateSum = JsonUtil.parseInt(json['rateSum']);
        refUserId = JsonUtil.parseInt(json['refUserId']);
        regDate = JsonUtil.parseDateTime(json['regDate']);
        snick = JsonUtil.parseString(json['snick']);
        suspended = JsonUtil.parseInt(json['suspended']);
        town = JsonUtil.parseString(json['town']);
        userActive = JsonUtil.parseInt(json['userActive']);
        userAim = JsonUtil.parseString(json['userAim']);
        userFrom = JsonUtil.parseString(json['userFrom']);
        userLevel = JsonUtil.parseInt(json['userLevel']);
        userlinkNum = JsonUtil.parseInt(json['userlinkNum']);
        userMsnm = JsonUtil.parseString(json['userMsnm']);
        userRank = JsonUtil.parseInt(json['userRank']);
        userRegDate = JsonUtil.parseDateTime(json['userRegDate']);
        userRegIP = JsonUtil.parseString(json['userRegIP']);
        userSessionTime = JsonUtil.parseDateTime(json['userSessionTime']);
        userStyle = JsonUtil.parseInt(json['userStyle']);
        userViewEmail = JsonUtil.parseInt(json['userViewEmail']);
        userYim = JsonUtil.parseString(json['userYim']);
        warnsNum = JsonUtil.parseInt(json['warnsNum']);
        zip = JsonUtil.parseString(json['zip']);
        userEmailTime = JsonUtil.parseDateTime(json['userEmailTime']);
        gmtModified = JsonUtil.parseDateTime(json['gmtModified']);
        b2bExtraUserDO = json['b2bExtraUserDO'] == null ? null : (new B2BExtraUserDO()..fromJson(json['b2bExtraUserDO'] as Map, genericNewMap: null));
        countryCode = JsonUtil.parseString(json['countryCode']);
        innerTag = JsonUtil.parseInt(json['innerTag']);
        loginMobile = JsonUtil.parseString(json['loginMobile']);
        mobileReleased = JsonUtil.parseBool(json['mobileReleased']);
        disabledCustomer = JsonUtil.parseBool(json['disabledCustomer']);
        reliable = JsonUtil.parseBool(json['reliable']);
        password = JsonUtil.parseString(json['password']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        val.addAll(super.toHessianJson());

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('address', makePair(address,14));
        writeNotNull('country', makePair(country,14));
        writeNotNull('mobilePhone', makePair(mobilePhone,14));
        writeNotNull('activationAckNum', makePair(activationAckNum,14));
        writeNotNull('aucWatch', makePair(aucWatch,14));
        writeNotNull('birthday', makePair(birthday?.millisecondsSinceEpoch,13));
        writeNotNull('city', makePair(city,14));
        writeNotNull('extraUserDO', makePair(extraUserDO?.toHessianJson(),r'com.taobao.uic.common.domain.ExtraUserDO'));
        writeNotNull('fullname', makePair(fullname,14));
        writeNotNull('gender', makePair(gender,14));
        writeNotNull('idCardNumber', makePair(idCardNumber,14));
        writeNotNull('interests', makePair(interests,14));
        writeNotNull('inYellowUrl', makePair(inYellowUrl,14));
        writeNotNull('newEmail', makePair(newEmail,14));
        writeNotNull('newPassword', makePair(newPassword,14));
        writeNotNull('newPasswordAckNum', makePair(newPasswordAckNum,14));
        writeNotNull('nletter', makePair(nletter,5));
        writeNotNull('occupation', makePair(occupation,14));
        writeNotNull('phone', makePair(phone,14));
        writeNotNull('promotedDate1', makePair(promotedDate1?.millisecondsSinceEpoch,13));
        writeNotNull('promotedDate2', makePair(promotedDate2?.millisecondsSinceEpoch,13));
        writeNotNull('promotedDate3', makePair(promotedDate3?.millisecondsSinceEpoch,13));
        writeNotNull('promotedDate4', makePair(promotedDate4?.millisecondsSinceEpoch,13));
        writeNotNull('promotedType', makePair(promotedType,6));
        writeNotNull('province', makePair(province,14));
        writeNotNull('rateNum', makePair(rateNum,7));
        writeNotNull('rateSum', makePair(rateSum,7));
        writeNotNull('refUserId', makePair(refUserId,7));
        writeNotNull('regDate', makePair(regDate?.millisecondsSinceEpoch,13));
        writeNotNull('snick', makePair(snick,14));
        writeNotNull('suspended', makePair(suspended,5));
        writeNotNull('town', makePair(town,14));
        writeNotNull('userActive', makePair(userActive,5));
        writeNotNull('userAim', makePair(userAim,14));
        writeNotNull('userFrom', makePair(userFrom,14));
        writeNotNull('userLevel', makePair(userLevel,5));
        writeNotNull('userlinkNum', makePair(userlinkNum,7));
        writeNotNull('userMsnm', makePair(userMsnm,14));
        writeNotNull('userRank', makePair(userRank,7));
        writeNotNull('userRegDate', makePair(userRegDate?.millisecondsSinceEpoch,13));
        writeNotNull('userRegIP', makePair(userRegIP,14));
        writeNotNull('userSessionTime', makePair(userSessionTime?.millisecondsSinceEpoch,13));
        writeNotNull('userStyle', makePair(userStyle,5));
        writeNotNull('userViewEmail', makePair(userViewEmail,6));
        writeNotNull('userYim', makePair(userYim,14));
        writeNotNull('warnsNum', makePair(warnsNum,5));
        writeNotNull('zip', makePair(zip,14));
        writeNotNull('userEmailTime', makePair(userEmailTime?.millisecondsSinceEpoch,13));
        writeNotNull('gmtModified', makePair(gmtModified?.millisecondsSinceEpoch,13));
        writeNotNull('b2bExtraUserDO', makePair(b2bExtraUserDO?.toHessianJson(),r'com.taobao.uic.common.domain.B2BExtraUserDO'));
        writeNotNull('countryCode', makePair(countryCode,14));
        writeNotNull('innerTag', makePair(innerTag,8));
        writeNotNull('loginMobile', makePair(loginMobile,14));
        writeNotNull('mobileReleased', makePair(mobileReleased,2));
        writeNotNull('disabledCustomer', makePair(disabledCustomer,2));
        writeNotNull('reliable', makePair(reliable,2));
        writeNotNull('password', makePair(password,14));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        dynamic superVal = super.toJson();
        if (superVal != null && superVal is Map<String, dynamic>) {
            val.addAll(superVal);
        }

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('address', address);
        writeNotNull('country', country);
        writeNotNull('mobilePhone', mobilePhone);
        writeNotNull('activationAckNum', activationAckNum);
        writeNotNull('aucWatch', aucWatch);
        writeNotNull('birthday', birthday);
        writeNotNull('city', city);
        writeNotNull('extraUserDO', makePairJson(extraUserDO?.toJson(),r'com.taobao.uic.common.domain.ExtraUserDO'));
        writeNotNull('fullname', fullname);
        writeNotNull('gender', gender);
        writeNotNull('idCardNumber', idCardNumber);
        writeNotNull('interests', interests);
        writeNotNull('inYellowUrl', inYellowUrl);
        writeNotNull('newEmail', newEmail);
        writeNotNull('newPassword', newPassword);
        writeNotNull('newPasswordAckNum', newPasswordAckNum);
        writeNotNull('nletter', nletter);
        writeNotNull('occupation', occupation);
        writeNotNull('phone', phone);
        writeNotNull('promotedDate1', promotedDate1);
        writeNotNull('promotedDate2', promotedDate2);
        writeNotNull('promotedDate3', promotedDate3);
        writeNotNull('promotedDate4', promotedDate4);
        writeNotNull('promotedType', promotedType);
        writeNotNull('province', province);
        writeNotNull('rateNum', rateNum);
        writeNotNull('rateSum', rateSum);
        writeNotNull('refUserId', refUserId);
        writeNotNull('regDate', regDate);
        writeNotNull('snick', snick);
        writeNotNull('suspended', suspended);
        writeNotNull('town', town);
        writeNotNull('userActive', userActive);
        writeNotNull('userAim', userAim);
        writeNotNull('userFrom', userFrom);
        writeNotNull('userLevel', userLevel);
        writeNotNull('userlinkNum', userlinkNum);
        writeNotNull('userMsnm', userMsnm);
        writeNotNull('userRank', userRank);
        writeNotNull('userRegDate', userRegDate);
        writeNotNull('userRegIP', userRegIP);
        writeNotNull('userSessionTime', userSessionTime);
        writeNotNull('userStyle', userStyle);
        writeNotNull('userViewEmail', userViewEmail);
        writeNotNull('userYim', userYim);
        writeNotNull('warnsNum', warnsNum);
        writeNotNull('zip', zip);
        writeNotNull('userEmailTime', userEmailTime);
        writeNotNull('gmtModified', gmtModified);
        writeNotNull('b2bExtraUserDO', makePairJson(b2bExtraUserDO?.toJson(),r'com.taobao.uic.common.domain.B2BExtraUserDO'));
        writeNotNull('countryCode', countryCode);
        writeNotNull('innerTag', innerTag);
        writeNotNull('loginMobile', loginMobile);
        writeNotNull('mobileReleased', mobileReleased);
        writeNotNull('disabledCustomer', disabledCustomer);
        writeNotNull('reliable', reliable);
        writeNotNull('password', password);
        return val;
    }
}
