import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/taobao/uic/common/util/result_code.dart';

class ResultDO <T>  implements DObjectBase {
    bool success;

    T module;

    ResultCode retCode;

    String errTrace;

    String errMsg;

    bool successAndHasValue;


    String getRType() {
        return r'com.taobao.uic.common.domain.ResultDO';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        success = JsonUtil.parseBool(json['success']);
        module = json['module'] == null || genericNewMap == null  || !genericNewMap.containsKey('T') ? null :  genericNewMap['T'](json['module']) as T;
        retCode = json['retCode'] == null ? null : (new ResultCode()..fromJson(json['retCode'] is Map ? json['retCode'] as Map : {'name': json['retCode']}, genericNewMap: null));
        errTrace = JsonUtil.parseString(json['errTrace']);
        errMsg = JsonUtil.parseString(json['errMsg']);
        successAndHasValue = JsonUtil.parseBool(json['successAndHasValue']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('success', makePair(success,2));
        writeNotNull('module', makePair(module == null ? null : module is DObjectBase ? (module as DObjectBase).toHessianJson() : module.toString(),getMType(module)));
        writeNotNull('retCode', makePair(retCode?.toHessianJson(),r'com.taobao.uic.common.util.ResultCode'));
        writeNotNull('errTrace', makePair(errTrace,14));
        writeNotNull('errMsg', makePair(errMsg,14));
        writeNotNull('successAndHasValue', makePair(successAndHasValue,2));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('success', success);
        writeNotNull('module', makePairJson(module == null ? null : module is DObjectBase ? (module as DObjectBase).toJson() : module.toString(),getMType(module)));
        writeNotNull('retCode', makePairJson(retCode?.toJson(),r'com.taobao.uic.common.util.ResultCode'));
        writeNotNull('errTrace', errTrace);
        writeNotNull('errMsg', errMsg);
        writeNotNull('successAndHasValue', successAndHasValue);
        return val;
    }
}
