import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/version_d_o.dart';

class TinyUserDO extends VersionDO implements DObjectBase {
    String id;

    String nick;

    int userId;

    String email;

    DateTime lastVisit;

    String loginId;

    int havanaId;


    String getRType() {
        return r'com.taobao.uic.common.domain.TinyUserDO';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        super.fromJson(json, genericNewMap: null);

        //从Map转成对象的实现
        id = JsonUtil.parseString(json['id']);
        nick = JsonUtil.parseString(json['nick']);
        userId = JsonUtil.parseInt(json['userId']);
        email = JsonUtil.parseString(json['email']);
        lastVisit = JsonUtil.parseDateTime(json['lastVisit']);
        loginId = JsonUtil.parseString(json['loginId']);
        havanaId = JsonUtil.parseInt(json['havanaId']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        val.addAll(super.toHessianJson());

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('id', makePair(id,14));
        writeNotNull('nick', makePair(nick,14));
        writeNotNull('userId', makePair(userId,7));
        writeNotNull('email', makePair(email,14));
        writeNotNull('lastVisit', makePair(lastVisit?.millisecondsSinceEpoch,13));
        writeNotNull('loginId', makePair(loginId,14));
        writeNotNull('havanaId', makePair(havanaId,7));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        dynamic superVal = super.toJson();
        if (superVal != null && superVal is Map<String, dynamic>) {
            val.addAll(superVal);
        }

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('id', id);
        writeNotNull('nick', nick);
        writeNotNull('userId', userId);
        writeNotNull('email', email);
        writeNotNull('lastVisit', lastVisit);
        writeNotNull('loginId', loginId);
        writeNotNull('havanaId', havanaId);
        return val;
    }
}
