import 'package:saker/framework/hsf/hsf_object_base.dart';

class ResultCode implements DObjectBase {
    //这个值映射Java枚举常量名
    String enum_item_name;
    int code;
    String msg;

    ResultCode();

    ResultCode.fromParameters(String enum_item_name,int code,String msg) {
        this.enum_item_name = enum_item_name;
        this.code = code;
        this.msg = msg;
    }

    static ResultCode SUCCESS = new ResultCode.fromParameters('SUCCESS',0,'success');
    static ResultCode ERROR_PARAMETERS_IS_INVALID = new ResultCode.fromParameters('ERROR_PARAMETERS_IS_INVALID',1,'parameters is invalid or value is over length');
    static ResultCode ERROR_UID32_IS_INVALID = new ResultCode.fromParameters('ERROR_UID32_IS_INVALID',2,'uid32 is invalid ');
    static ResultCode ERROR_EMAIL_IS_INVALID = new ResultCode.fromParameters('ERROR_EMAIL_IS_INVALID',3,'email is invalid');
    static ResultCode ERROR_NICK_IS_INVALID = new ResultCode.fromParameters('ERROR_NICK_IS_INVALID',4,'nick is invalid');
    static ResultCode ERROR_USERID_IS_INVALID = new ResultCode.fromParameters('ERROR_USERID_IS_INVALID',5,'userId is invalid');
    static ResultCode ERROR_UID32_ARRAY_IS_INVALID = new ResultCode.fromParameters('ERROR_UID32_ARRAY_IS_INVALID',6,'uid32s is invalid');
    static ResultCode ERROR_USERID_ARRAY_IS_INVALID = new ResultCode.fromParameters('ERROR_USERID_ARRAY_IS_INVALID',7,'userIds is invalid');
    static ResultCode ERROR_MOBILE_IS_INVALID = new ResultCode.fromParameters('ERROR_MOBILE_IS_INVALID',8,'mobile is invalid');
    static ResultCode ERROR_TYPE_IS_INVALID = new ResultCode.fromParameters('ERROR_TYPE_IS_INVALID',9,'type is invalid');
    static ResultCode ERROR_USERTAG_IS_INVALID = new ResultCode.fromParameters('ERROR_USERTAG_IS_INVALID',10,'userTag is invalid');
    static ResultCode ERROR_BASEUSER_IS_NULL = new ResultCode.fromParameters('ERROR_BASEUSER_IS_NULL',11,'baseUser is null');
    static ResultCode ERROR_EXTRAUSER_IS_NULL = new ResultCode.fromParameters('ERROR_EXTRAUSER_IS_NULL',12,'extraUser is null');
    static ResultCode ERROR_ARRAY_OVER_LENGTH = new ResultCode.fromParameters('ERROR_ARRAY_OVER_LENGTH',13,'the array over the length of 110');
    static ResultCode ERROR_REGIP_IS_BLANK = new ResultCode.fromParameters('ERROR_REGIP_IS_BLANK',15,'regIp is blank');
    static ResultCode ERROR_ISIPRANGE_IS_BLANK = new ResultCode.fromParameters('ERROR_ISIPRANGE_IS_BLANK',16,'isIpRange is blank');
    static ResultCode ERROR_TIME_IS_BLANK = new ResultCode.fromParameters('ERROR_TIME_IS_BLANK',17,'time is blank');
    static ResultCode ERROR_MAXCOUNT_LE_ZERO = new ResultCode.fromParameters('ERROR_MAXCOUNT_LE_ZERO',18,'max count little or equal 0');
    static ResultCode ERROR_NICKLIST_IS_BLANK = new ResultCode.fromParameters('ERROR_NICKLIST_IS_BLANK',19,'nickList is blank');
    static ResultCode ERROR_QUERY_IS_NULL = new ResultCode.fromParameters('ERROR_QUERY_IS_NULL',20,'query is null');
    static ResultCode ERROR_USER_AND_EXTRA_ID_NOT_EQUAL = new ResultCode.fromParameters('ERROR_USER_AND_EXTRA_ID_NOT_EQUAL',21,'user and extra id not equal');
    static ResultCode ERROR_BINDACCOUNT_IS_NULL = new ResultCode.fromParameters('ERROR_BINDACCOUNT_IS_NULL',22,'bindAccount is null');
    static ResultCode ERROR_BINDACCOUNT_COOPERATEACCOUNTTYPE_IS_INVALID = new ResultCode.fromParameters('ERROR_BINDACCOUNT_COOPERATEACCOUNTTYPE_IS_INVALID',23,'bindAccount.cooperateAccount is invalid');
    static ResultCode ERROR_BINDACCOUNT_ISPERMISSION_IS_INVALID = new ResultCode.fromParameters('ERROR_BINDACCOUNT_ISPERMISSION_IS_INVALID',24,'bindAccount.isPermission is invalid');
    static ResultCode ERROR_BINDACCOUNT_BINDSTATE_IS_INVALID = new ResultCode.fromParameters('ERROR_BINDACCOUNT_BINDSTATE_IS_INVALID',25,'bindAccount.bindState is invalid');
    static ResultCode ERROR_BINDACCOUNT_COOPERATEACCOUNT_IS_INVALID = new ResultCode.fromParameters('ERROR_BINDACCOUNT_COOPERATEACCOUNT_IS_INVALID',26,'bindAccount.cooperateAccount is invalid');
    static ResultCode ERROR_BINDACCOUNT_COOPERATEID_IS_INVALID = new ResultCode.fromParameters('ERROR_BINDACCOUNT_COOPERATEID_IS_INVALID',27,'bindAccount.cooperateId is invalid');
    static ResultCode ERROR_DELIVERADDRESS_IS_NULL = new ResultCode.fromParameters('ERROR_DELIVERADDRESS_IS_NULL',28,'deliverAddress is null');
    static ResultCode ERROR_PAYMENTACCOUNTDO_IS_NULL = new ResultCode.fromParameters('ERROR_PAYMENTACCOUNTDO_IS_NULL',29,'paymentAccountDO is null');
    static ResultCode ERROR_PAYMENTACCOUNTDO_INSTITUTION_IS_BLANK = new ResultCode.fromParameters('ERROR_PAYMENTACCOUNTDO_INSTITUTION_IS_BLANK',30,'paymentAccountDO.institution is blank');
    static ResultCode ERROR_PAYMENTACCOUNTDO_ACCOUNTNO_IS_BLANK = new ResultCode.fromParameters('ERROR_PAYMENTACCOUNTDO_ACCOUNTNO_IS_BLANK',31,'paymentAccountDO.accountNo is blank');
    static ResultCode ERROR_USERMOBILEPHONEDO_IS_NULL = new ResultCode.fromParameters('ERROR_USERMOBILEPHONEDO_IS_NULL',32,'userMobilePhoneDO is null');
    static ResultCode ERROR_USERMOBILEPHONEDO_SUBMOBILEINFO_LENGTH = new ResultCode.fromParameters('ERROR_USERMOBILEPHONEDO_SUBMOBILEINFO_LENGTH',33,'userMobilePhoneDO.subMobileInfo.length>2000');
    static ResultCode ERROR_USERMOBILEPHONEDO_MOBILEPHONEINFO_LENGTH = new ResultCode.fromParameters('ERROR_USERMOBILEPHONEDO_MOBILEPHONEINFO_LENGTH',34,'userMobilePhoneDO.mobilePhoneInfo.length>2000');
    static ResultCode ERROR_DOMAIN_IS_BLANK = new ResultCode.fromParameters('ERROR_DOMAIN_IS_BLANK',35,'domain is blank');
    static ResultCode ERROR_DOMAIN_IS_INVALID = new ResultCode.fromParameters('ERROR_DOMAIN_IS_INVALID',36,'domain is invalid');
    static ResultCode ERROR_IDCARD_IS_INVALID = new ResultCode.fromParameters('ERROR_IDCARD_IS_INVALID',37,'idcard is invalid');
    static ResultCode ERROR_PROMOTED_IS_INVALID = new ResultCode.fromParameters('ERROR_PROMOTED_IS_INVALID',38,'promotedType < 0');
    static ResultCode ERROR_DATE_OVER_LENGTH = new ResultCode.fromParameters('ERROR_DATE_OVER_LENGTH',39,'date is over length');
    static ResultCode ERROR_USERRELATION_INVALID = new ResultCode.fromParameters('ERROR_USERRELATION_INVALID',40,'userRelation is null');
    static ResultCode ERROR_USERRELATIONSTATUS_INVALID = new ResultCode.fromParameters('ERROR_USERRELATIONSTATUS_INVALID',41,'UserRelationSTATUS is 0');
    static ResultCode ERROR_USERELATIONTAG_INVALID = new ResultCode.fromParameters('ERROR_USERELATIONTAG_INVALID',42,'userRelationTag < 0');
    static ResultCode ERROR_MOBILE_CONFIRM_INVALID = new ResultCode.fromParameters('ERROR_MOBILE_CONFIRM_INVALID',44,'mobilephone confirm is invalid');
    static ResultCode ERROR_SITE_IS_INVALID = new ResultCode.fromParameters('ERROR_SITE_IS_INVALID',45,'site is invalid');
    static ResultCode ERROR_MOBILE_AND_EMAIL_IS_NOT_BOTH_NULL = new ResultCode.fromParameters('ERROR_MOBILE_AND_EMAIL_IS_NOT_BOTH_NULL',46,'email and mobile is not both null');
    static ResultCode ERROR_HAVANA_ID_IS_INVALID = new ResultCode.fromParameters('ERROR_HAVANA_ID_IS_INVALID',47,'havanaId is invalid');
    static ResultCode ERROR_WEIBO_IS_NULL = new ResultCode.fromParameters('ERROR_WEIBO_IS_NULL',48,'weibo is null');
    static ResultCode ERROR_WEIBOID_IS_INVALID = new ResultCode.fromParameters('ERROR_WEIBOID_IS_INVALID',49,'weiboId is invalid');
    static ResultCode ERROR_USERID_ALREADY_BIND_WEIBOID = new ResultCode.fromParameters('ERROR_USERID_ALREADY_BIND_WEIBOID',50,'userId already bind weiboId');
    static ResultCode ERROR_WEIBOID_ALREADY_BIND_USERID = new ResultCode.fromParameters('ERROR_WEIBOID_ALREADY_BIND_USERID',51,'weiboId already bind userId');
    static ResultCode ERROR_WEIBO_ENABLE_STATUS = new ResultCode.fromParameters('ERROR_WEIBO_ENABLE_STATUS',52,'insert weibo enable status cannot be 0');
    static ResultCode ERROR_WEIBO_PARAM_ERROR = new ResultCode.fromParameters('ERROR_WEIBO_PARAM_ERROR',53,'param error');
    static ResultCode ERROR_WEIBO_ARRAY_OVER_LENGTH = new ResultCode.fromParameters('ERROR_WEIBO_ARRAY_OVER_LENGTH',54,'the array over the length of 50');
    static ResultCode ERROR_PAYMENTACCOUNTDO_REALM_IS_INVALID = new ResultCode.fromParameters('ERROR_PAYMENTACCOUNTDO_REALM_IS_INVALID',53,'paymentAccountDO.realm is invalid');
    static ResultCode ERROR_PAYMENTACCOUNTDO_BINDFROM_OVER_LENGTH = new ResultCode.fromParameters('ERROR_PAYMENTACCOUNTDO_BINDFROM_OVER_LENGTH',54,'bindFrom is over length');
    static ResultCode ERROR_DEFAULT_ARRAY_OVER_LENGTH = new ResultCode.fromParameters('ERROR_DEFAULT_ARRAY_OVER_LENGTH',55,'the array over the length of 50');
    static ResultCode ERROR_SUSPENDED_INVALID = new ResultCode.fromParameters('ERROR_SUSPENDED_INVALID',56,'suspended is invalid');
    static ResultCode ERROR_DELIVER_ADDR_TAG_INVALID = new ResultCode.fromParameters('ERROR_DELIVER_ADDR_TAG_INVALID',57,'invalid deliver address tag');
    static ResultCode ERROR_DELIVER_ADDR_NOT_ALLOWED_UPDATE = new ResultCode.fromParameters('ERROR_DELIVER_ADDR_NOT_ALLOWED_UPDATE',58,'deliver address not allowed update ');
    static ResultCode USER_TAG_IN_BLACK_LIST = new ResultCode.fromParameters('USER_TAG_IN_BLACK_LIST',100,'usertag: tag in black list');
    static ResultCode USER_TAG_USER_NOT_EXIST = new ResultCode.fromParameters('USER_TAG_USER_NOT_EXIST',101,'usertag: user not exist');
    static ResultCode USER_TAG_SYSTEM_ERROR = new ResultCode.fromParameters('USER_TAG_SYSTEM_ERROR',102,'usertag: system error');
    static ResultCode USER_TAG_UNKNOWN_ERROR = new ResultCode.fromParameters('USER_TAG_UNKNOWN_ERROR',103,'usertag: unknown error');
    static ResultCode ERROR_CIC_HID_CID_MISSING = new ResultCode.fromParameters('ERROR_CIC_HID_CID_MISSING',500,'hid->cid missing');
    static ResultCode ERROR_CIC_CID_HID_MISSING = new ResultCode.fromParameters('ERROR_CIC_CID_HID_MISSING',501,'cid->hid missing');
    static ResultCode ERROR_CIC_INDEX_NO_RECORD = new ResultCode.fromParameters('ERROR_CIC_INDEX_NO_RECORD',502,'index missing');
    static ResultCode ERROR_CIC_INDEX_DIRTY = new ResultCode.fromParameters('ERROR_CIC_INDEX_DIRTY',503,'index dirty');
    static ResultCode ERROR_CIC_HID_CID_DEL_FAILED = new ResultCode.fromParameters('ERROR_CIC_HID_CID_DEL_FAILED',504,'failed delete hid_cid');
    static ResultCode ERROR_CIC_CID_HID_DEL_FAILED = new ResultCode.fromParameters('ERROR_CIC_CID_HID_DEL_FAILED',505,'failed delete cid_hid');
    static ResultCode ERROR_CIC_INDEX_DEL_FAILED = new ResultCode.fromParameters('ERROR_CIC_INDEX_DEL_FAILED',506,'failed delete hid_cid');
    static ResultCode ERROR_DB_FAIL = new ResultCode.fromParameters('ERROR_DB_FAIL',1000,'db is error ');
    static ResultCode ERROR_REGISTER_FAIL = new ResultCode.fromParameters('ERROR_REGISTER_FAIL',1001,'register error ');
    static ResultCode ERROR_UIC_DB_FLOW_CONTROLL = new ResultCode.fromParameters('ERROR_UIC_DB_FLOW_CONTROLL',1002,'UIC DB flow controlled');
    static ResultCode ERROR_UIC_SERVICE_FLOW_CONTROLL = new ResultCode.fromParameters('ERROR_UIC_SERVICE_FLOW_CONTROLL',1003,'UIC service flow controlled');
    static ResultCode ERROR_UIC_READ_WRITE_FLOW_CONTROLL = new ResultCode.fromParameters('ERROR_UIC_READ_WRITE_FLOW_CONTROLL',1004,'UIC service only-read or only-write');
    static ResultCode ERROR_UIC_LOG_ERROR = new ResultCode.fromParameters('ERROR_UIC_LOG_ERROR',1005,'UIC LOG WRITE OR READ ERROR');
    static ResultCode ERROR_UIC_SEQUENCE_ERROR = new ResultCode.fromParameters('ERROR_UIC_SEQUENCE_ERROR',1006,'UIC LOG SEQUENCE ERROR');
    static ResultCode ERROR_LOGINID_INVALID = new ResultCode.fromParameters('ERROR_LOGINID_INVALID',1007,'loginId is invalid');
    static ResultCode ERROR_MEMBERID_INVALID = new ResultCode.fromParameters('ERROR_MEMBERID_INVALID',1008,'memberId is invalid');
    static ResultCode ERROR_B2BEXTRAUSER_IS_NULL = new ResultCode.fromParameters('ERROR_B2BEXTRAUSER_IS_NULL',1009,'B2BExtraUser is null');
    static ResultCode ERROR_MEMBER_ARRAY_IS_INVALID = new ResultCode.fromParameters('ERROR_MEMBER_ARRAY_IS_INVALID',1010,'memberIds is invalid');
    static ResultCode ERROR_LOGINID_ARRAY_IS_INVALID = new ResultCode.fromParameters('ERROR_LOGINID_ARRAY_IS_INVALID',1011,'loginIds is invalid');
    static ResultCode ERROR_USERINFO_NOT_FOUND = new ResultCode.fromParameters('ERROR_USERINFO_NOT_FOUND',1012,'user not found');
    static ResultCode ERROR_VERIFYPASSWORD_FAILED = new ResultCode.fromParameters('ERROR_VERIFYPASSWORD_FAILED',1013,'verify password failed');
    static ResultCode ERROR_SNICK_UPDATE_FAILED = new ResultCode.fromParameters('ERROR_SNICK_UPDATE_FAILED',1014,'snick had been updated,cannot been updated it again.');
    static ResultCode ERROR_SNICK_SNICK_FAILED = new ResultCode.fromParameters('ERROR_SNICK_SNICK_FAILED',1015,'loginid had been updated,cannot been updated it again.');
    static ResultCode ERROR_FOLLOWUPJOIN_FAILED = new ResultCode.fromParameters('ERROR_FOLLOWUPJOIN_FAILED',1016,'followUpJoin error');
    static ResultCode ERROR_CHANGE_EMAIL_FAILED = new ResultCode.fromParameters('ERROR_CHANGE_EMAIL_FAILED',1017,'changeEmail error');
    static ResultCode ERROR_CHANGE_MOBILE_FAILED = new ResultCode.fromParameters('ERROR_CHANGE_MOBILE_FAILED',1018,'changeMobile error');
    static ResultCode ERROR_GET_HAVANAID_FAILED = new ResultCode.fromParameters('ERROR_GET_HAVANAID_FAILED',1019,'get havanaId error');
    static ResultCode ERROR_ACTIVE_SPECIAL_SITE_FAILED = new ResultCode.fromParameters('ERROR_ACTIVE_SPECIAL_SITE_FAILED',1020,'activeSpecialSite error');
    static ResultCode ERROR_CANCEL_MOBILE_FAILED = new ResultCode.fromParameters('ERROR_CANCEL_MOBILE_FAILED',1021,'cancelMobile error');
    static ResultCode ERROR_CANCEL_EMAIL_FAILED = new ResultCode.fromParameters('ERROR_CANCEL_EMAIL_FAILED',1022,'cancelEmail error');
    static ResultCode ERROR_HAVANA_FAILED = new ResultCode.fromParameters('ERROR_HAVANA_FAILED',1023,'havana service failed.');
    static ResultCode ERROR_HAVANA_SERVICE_FLOW_CONTROLL = new ResultCode.fromParameters('ERROR_HAVANA_SERVICE_FLOW_CONTROLL',1024,'havana service flow controlled');
    static ResultCode ERROR_ACTIVATION_TYPE_NULL = new ResultCode.fromParameters('ERROR_ACTIVATION_TYPE_NULL',1025,'activation type is null');
    static ResultCode ERROR_HAVANA_MERGE_SECURITY_QUESTION = new ResultCode.fromParameters('ERROR_HAVANA_MERGE_SECURITY_QUESTION',1026,'merge security question error');
    static ResultCode ERROR_HAVANA_MERGE_SECURITY_PROFILE = new ResultCode.fromParameters('ERROR_HAVANA_MERGE_SECURITY_PROFILE',1027,'merge security profile error');
    static ResultCode ERROR_HAVANA_MERGE_MEMBER_ERROR = new ResultCode.fromParameters('ERROR_HAVANA_MERGE_MEMBER_ERROR',1028,'merge havana member error');
    static ResultCode ERROR_HAVANA_MERGE_SYSTEM_ERROR = new ResultCode.fromParameters('ERROR_HAVANA_MERGE_SYSTEM_ERROR',1029,'system error');
    static ResultCode ERROR_HAVANA_MERGE_SERVICE_EXCEPTION = new ResultCode.fromParameters('ERROR_HAVANA_MERGE_SERVICE_EXCEPTION',1030,'merge service error');
    static ResultCode ERROR_HAVANA_SPLIT_SYSTEM_ERROR = new ResultCode.fromParameters('ERROR_HAVANA_SPLIT_SYSTEM_ERROR',1031,'split system error');
    static ResultCode ERROR_HAVANA_SPLIT_SERVICE_EXCEPTION = new ResultCode.fromParameters('ERROR_HAVANA_SPLIT_SERVICE_EXCEPTION',1032,'split service error');
    static ResultCode ERROR_HAVANA_MERGE_UNKNOWN_ERROR = new ResultCode.fromParameters('ERROR_HAVANA_MERGE_UNKNOWN_ERROR',1033,'unknown error');
    static ResultCode ERROR_HAVANA_SPLIT_UNKNOWN_ERROR = new ResultCode.fromParameters('ERROR_HAVANA_SPLIT_UNKNOWN_ERROR',1034,'unknown error');
    static ResultCode ERROR_UP_LABEL_DUP_ERROR = new ResultCode.fromParameters('ERROR_UP_LABEL_DUP_ERROR',1055,'label is not unique');
    static ResultCode ERROR_UP_BRAND_DUP_ERROR = new ResultCode.fromParameters('ERROR_UP_BRAND_DUP_ERROR',1056,'brand is not unique');
    static ResultCode ERROR_UP_COMMON_EXCEPTION_ERROR = new ResultCode.fromParameters('ERROR_UP_COMMON_EXCEPTION_ERROR',1057,'common server exception');
    static ResultCode ERROR_UP_BRAND_UPDATE_ERROR = new ResultCode.fromParameters('ERROR_UP_BRAND_UPDATE_ERROR',1058,'update brand resultset more than 1');
    static ResultCode WARN_UP_NO_DATA = new ResultCode.fromParameters('WARN_UP_NO_DATA',1059,'no data');
    static ResultCode ERROR_UP_UNIQUE_NULL = new ResultCode.fromParameters('ERROR_UP_UNIQUE_NULL',1060,'unique field is not null');
    static ResultCode ERROR_UP_CODE_DUP_ERROR = new ResultCode.fromParameters('ERROR_UP_CODE_DUP_ERROR',1061,'code is not unique');
    static ResultCode ERROR_UP_PARAM_ERROR = new ResultCode.fromParameters('ERROR_UP_PARAM_ERROR',1062,'params invalid');
    static ResultCode ERROR_UP_CODE_NOTEXIST_ERROR = new ResultCode.fromParameters('ERROR_UP_CODE_NOTEXIST_ERROR',1063,'code is not exist');
    static ResultCode ERROR_UP_TZH_DATADUP_ERROR = new ResultCode.fromParameters('ERROR_UP_TZH_DATADUP_ERROR',1064,'taozihao bizdata is multi');
    static ResultCode ERROR_UP_SNS_DATADUP_ERROR = new ResultCode.fromParameters('ERROR_UP_SNS_DATADUP_ERROR',1065,'sns label dup');
    static ResultCode ERROR_UP_MULTI_DATA = new ResultCode.fromParameters('ERROR_UP_MULTI_DATA',1066,'exist multi user data');
    static ResultCode ERROR_BIZID_AREA_INVALID = new ResultCode.fromParameters('ERROR_BIZID_AREA_INVALID',1070,'area is invalid');
    static ResultCode ERROR_BIZID_INVALID = new ResultCode.fromParameters('ERROR_BIZID_INVALID',1071,'bizId is invalid');
    static ResultCode ERROR_BIZID_USERID_INVALID = new ResultCode.fromParameters('ERROR_BIZID_USERID_INVALID',1072,'userId is invalid,user not exist');
    static ResultCode ERROR_BIZID_EXIST = new ResultCode.fromParameters('ERROR_BIZID_EXIST',1072,'bizid had been map');
    static ResultCode ERROR_USER_NOT_CERT = new ResultCode.fromParameters('ERROR_USER_NOT_CERT',1073,'user not certify info.');
    static ResultCode ERROR_INVALID_HAVANA_ID = new ResultCode.fromParameters('ERROR_INVALID_HAVANA_ID',1074,'invalid havanaId');
    static ResultCode ERROR_INVALID_ACCOUNTNO = new ResultCode.fromParameters('ERROR_INVALID_ACCOUNTNO',1075,'invalid accountNO');
    static ResultCode ERROR_INVALID_OUTUSER = new ResultCode.fromParameters('ERROR_INVALID_OUTUSER',1076,'invalid outuser');
    static ResultCode ERROR_TAOBAO_DEGRADE_FAILED = new ResultCode.fromParameters('ERROR_TAOBAO_DEGRADE_FAILED',1077,'taobao account split failed');
    static ResultCode ERROR_ALIPAY_HAS_BOUND = new ResultCode.fromParameters('ERROR_ALIPAY_HAS_BOUND',1078,'alipay account has bound other account');
    static ResultCode ERROR_TAOBAO_ACCOUNT_NOT_EXIST = new ResultCode.fromParameters('ERROR_TAOBAO_ACCOUNT_NOT_EXIST',1079,'taobao account is not exist');
    static ResultCode ERROR_TAOBAO_CANNOT_DEGRADE = new ResultCode.fromParameters('ERROR_TAOBAO_CANNOT_DEGRADE',1080,'taobao account can not degrade');
    static ResultCode ERROR_ALIPAY_ACCOUNT_NOT_EXIST = new ResultCode.fromParameters('ERROR_ALIPAY_ACCOUNT_NOT_EXIST',1081,'alipay account is not exist');
    static ResultCode ERROR_ALIPAY_NOT_ALLOW_BIND = new ResultCode.fromParameters('ERROR_ALIPAY_NOT_ALLOW_BIND',1082,'global taobao&alipay account not allow to degrade');
    static ResultCode ERROR_TAOBAO_UNBIND_FAILED = new ResultCode.fromParameters('ERROR_TAOBAO_UNBIND_FAILED',1084,'taobao account unbind alipay failed');
    static ResultCode ERROR_ALIPAY_BIND_FAILED = new ResultCode.fromParameters('ERROR_ALIPAY_BIND_FAILED',1085,'new alipay account bind failed');
    static ResultCode ERROR_TAG_INDEX_OUT_BOUND = new ResultCode.fromParameters('ERROR_TAG_INDEX_OUT_BOUND',1086,'tag index out of bound , tagIndex > 0 && tagIndex < 170');
    static ResultCode ERROR_DOMAIN_VALUE_UPDATE_FAILED = new ResultCode.fromParameters('ERROR_DOMAIN_VALUE_UPDATE_FAILED',1087,'domain value version expired or value is null');
    static ResultCode ERROR_DOMAIN_VALUE_ALREDY_EXIST = new ResultCode.fromParameters('ERROR_DOMAIN_VALUE_ALREDY_EXIST',1088,'domain value already exist');
    static ResultCode ERROR_DOMAIN_VALUE_IS_NULL = new ResultCode.fromParameters('ERROR_DOMAIN_VALUE_IS_NULL',1089,'domain value is null');
    static ResultCode ERROR_ILLEGAL_DOMAIN_DATA = new ResultCode.fromParameters('ERROR_ILLEGAL_DOMAIN_DATA',1090,'domain data is invalid');
    static ResultCode ERROR_ILLEGAL_TAG = new ResultCode.fromParameters('ERROR_ILLEGAL_TAG',1091,'tag is invalid');
    static ResultCode ERROR_GET_LOCK_FAILED = new ResultCode.fromParameters('ERROR_GET_LOCK_FAILED',1092,'get lock failed');
    static ResultCode ERROR_DOMAIN_IS_NOT_ALLOWED = new ResultCode.fromParameters('ERROR_DOMAIN_IS_NOT_ALLOWED',1093,'domain is not allowed for this interface');
    static ResultCode ERROR_HSF_CONNECT_FAIL = new ResultCode.fromParameters('ERROR_HSF_CONNECT_FAIL',2000,'hsf connect is error');
    static ResultCode ERROR_UIC_SERVICE_CONNECT_FAIL = new ResultCode.fromParameters('ERROR_UIC_SERVICE_CONNECT_FAIL',2001,'uic service connect is error:acl');
    static ResultCode ERROR_TAIR_SERVICE_RT_FLOW = new ResultCode.fromParameters('ERROR_TAIR_SERVICE_RT_FLOW',2002,'tair service rt is flow');
    static ResultCode ERROR_TAIR_ILLEGAL_TRAFFIC = new ResultCode.fromParameters('ERROR_TAIR_ILLEGAL_TRAFFIC',2003,'tair key is illegal traffic');
    static ResultCode ERROR_ALIPAY_TAG_TYPE = new ResultCode.fromParameters('ERROR_ALIPAY_TAG_TYPE',2004,'tag for alipay type is error');
    static ResultCode ERROR_WITHOUT_BIND_ALIPAY = new ResultCode.fromParameters('ERROR_WITHOUT_BIND_ALIPAY',3000,'without bind certified alipay account');
    static ResultCode ERROR_WITHOUT_ALIPAY_TRUST_AUTHENTICATION = new ResultCode.fromParameters('ERROR_WITHOUT_ALIPAY_TRUST_AUTHENTICATION',3001,'without alipay trust authentication');
    static ResultCode ERROR_CUSTOMER_INFO = new ResultCode.fromParameters('ERROR_CUSTOMER_INFO',3002,'error customer info');
    static ResultCode ERROR_TAG_RECORD_IS_NOT_EXIST = new ResultCode.fromParameters('ERROR_TAG_RECORD_IS_NOT_EXIST',4001,'tagRecord is not exist');
    static ResultCode ERROR_TAG_RECORD_IS_INVALID = new ResultCode.fromParameters('ERROR_TAG_RECORD_IS_INVALID',4002,'tagRecord is invalid');
    static ResultCode ERROR_SYSTEM_EXCEPTION = new ResultCode.fromParameters('ERROR_SYSTEM_EXCEPTION',9000,'system exception');

    static Map<String, ResultCode> enum_item_map = {
        'SUCCESS': SUCCESS,
        'ERROR_PARAMETERS_IS_INVALID': ERROR_PARAMETERS_IS_INVALID,
        'ERROR_UID32_IS_INVALID': ERROR_UID32_IS_INVALID,
        'ERROR_EMAIL_IS_INVALID': ERROR_EMAIL_IS_INVALID,
        'ERROR_NICK_IS_INVALID': ERROR_NICK_IS_INVALID,
        'ERROR_USERID_IS_INVALID': ERROR_USERID_IS_INVALID,
        'ERROR_UID32_ARRAY_IS_INVALID': ERROR_UID32_ARRAY_IS_INVALID,
        'ERROR_USERID_ARRAY_IS_INVALID': ERROR_USERID_ARRAY_IS_INVALID,
        'ERROR_MOBILE_IS_INVALID': ERROR_MOBILE_IS_INVALID,
        'ERROR_TYPE_IS_INVALID': ERROR_TYPE_IS_INVALID,
        'ERROR_USERTAG_IS_INVALID': ERROR_USERTAG_IS_INVALID,
        'ERROR_BASEUSER_IS_NULL': ERROR_BASEUSER_IS_NULL,
        'ERROR_EXTRAUSER_IS_NULL': ERROR_EXTRAUSER_IS_NULL,
        'ERROR_ARRAY_OVER_LENGTH': ERROR_ARRAY_OVER_LENGTH,
        'ERROR_REGIP_IS_BLANK': ERROR_REGIP_IS_BLANK,
        'ERROR_ISIPRANGE_IS_BLANK': ERROR_ISIPRANGE_IS_BLANK,
        'ERROR_TIME_IS_BLANK': ERROR_TIME_IS_BLANK,
        'ERROR_MAXCOUNT_LE_ZERO': ERROR_MAXCOUNT_LE_ZERO,
        'ERROR_NICKLIST_IS_BLANK': ERROR_NICKLIST_IS_BLANK,
        'ERROR_QUERY_IS_NULL': ERROR_QUERY_IS_NULL,
        'ERROR_USER_AND_EXTRA_ID_NOT_EQUAL': ERROR_USER_AND_EXTRA_ID_NOT_EQUAL,
        'ERROR_BINDACCOUNT_IS_NULL': ERROR_BINDACCOUNT_IS_NULL,
        'ERROR_BINDACCOUNT_COOPERATEACCOUNTTYPE_IS_INVALID': ERROR_BINDACCOUNT_COOPERATEACCOUNTTYPE_IS_INVALID,
        'ERROR_BINDACCOUNT_ISPERMISSION_IS_INVALID': ERROR_BINDACCOUNT_ISPERMISSION_IS_INVALID,
        'ERROR_BINDACCOUNT_BINDSTATE_IS_INVALID': ERROR_BINDACCOUNT_BINDSTATE_IS_INVALID,
        'ERROR_BINDACCOUNT_COOPERATEACCOUNT_IS_INVALID': ERROR_BINDACCOUNT_COOPERATEACCOUNT_IS_INVALID,
        'ERROR_BINDACCOUNT_COOPERATEID_IS_INVALID': ERROR_BINDACCOUNT_COOPERATEID_IS_INVALID,
        'ERROR_DELIVERADDRESS_IS_NULL': ERROR_DELIVERADDRESS_IS_NULL,
        'ERROR_PAYMENTACCOUNTDO_IS_NULL': ERROR_PAYMENTACCOUNTDO_IS_NULL,
        'ERROR_PAYMENTACCOUNTDO_INSTITUTION_IS_BLANK': ERROR_PAYMENTACCOUNTDO_INSTITUTION_IS_BLANK,
        'ERROR_PAYMENTACCOUNTDO_ACCOUNTNO_IS_BLANK': ERROR_PAYMENTACCOUNTDO_ACCOUNTNO_IS_BLANK,
        'ERROR_USERMOBILEPHONEDO_IS_NULL': ERROR_USERMOBILEPHONEDO_IS_NULL,
        'ERROR_USERMOBILEPHONEDO_SUBMOBILEINFO_LENGTH': ERROR_USERMOBILEPHONEDO_SUBMOBILEINFO_LENGTH,
        'ERROR_USERMOBILEPHONEDO_MOBILEPHONEINFO_LENGTH': ERROR_USERMOBILEPHONEDO_MOBILEPHONEINFO_LENGTH,
        'ERROR_DOMAIN_IS_BLANK': ERROR_DOMAIN_IS_BLANK,
        'ERROR_DOMAIN_IS_INVALID': ERROR_DOMAIN_IS_INVALID,
        'ERROR_IDCARD_IS_INVALID': ERROR_IDCARD_IS_INVALID,
        'ERROR_PROMOTED_IS_INVALID': ERROR_PROMOTED_IS_INVALID,
        'ERROR_DATE_OVER_LENGTH': ERROR_DATE_OVER_LENGTH,
        'ERROR_USERRELATION_INVALID': ERROR_USERRELATION_INVALID,
        'ERROR_USERRELATIONSTATUS_INVALID': ERROR_USERRELATIONSTATUS_INVALID,
        'ERROR_USERELATIONTAG_INVALID': ERROR_USERELATIONTAG_INVALID,
        'ERROR_MOBILE_CONFIRM_INVALID': ERROR_MOBILE_CONFIRM_INVALID,
        'ERROR_SITE_IS_INVALID': ERROR_SITE_IS_INVALID,
        'ERROR_MOBILE_AND_EMAIL_IS_NOT_BOTH_NULL': ERROR_MOBILE_AND_EMAIL_IS_NOT_BOTH_NULL,
        'ERROR_HAVANA_ID_IS_INVALID': ERROR_HAVANA_ID_IS_INVALID,
        'ERROR_WEIBO_IS_NULL': ERROR_WEIBO_IS_NULL,
        'ERROR_WEIBOID_IS_INVALID': ERROR_WEIBOID_IS_INVALID,
        'ERROR_USERID_ALREADY_BIND_WEIBOID': ERROR_USERID_ALREADY_BIND_WEIBOID,
        'ERROR_WEIBOID_ALREADY_BIND_USERID': ERROR_WEIBOID_ALREADY_BIND_USERID,
        'ERROR_WEIBO_ENABLE_STATUS': ERROR_WEIBO_ENABLE_STATUS,
        'ERROR_WEIBO_PARAM_ERROR': ERROR_WEIBO_PARAM_ERROR,
        'ERROR_WEIBO_ARRAY_OVER_LENGTH': ERROR_WEIBO_ARRAY_OVER_LENGTH,
        'ERROR_PAYMENTACCOUNTDO_REALM_IS_INVALID': ERROR_PAYMENTACCOUNTDO_REALM_IS_INVALID,
        'ERROR_PAYMENTACCOUNTDO_BINDFROM_OVER_LENGTH': ERROR_PAYMENTACCOUNTDO_BINDFROM_OVER_LENGTH,
        'ERROR_DEFAULT_ARRAY_OVER_LENGTH': ERROR_DEFAULT_ARRAY_OVER_LENGTH,
        'ERROR_SUSPENDED_INVALID': ERROR_SUSPENDED_INVALID,
        'ERROR_DELIVER_ADDR_TAG_INVALID': ERROR_DELIVER_ADDR_TAG_INVALID,
        'ERROR_DELIVER_ADDR_NOT_ALLOWED_UPDATE': ERROR_DELIVER_ADDR_NOT_ALLOWED_UPDATE,
        'USER_TAG_IN_BLACK_LIST': USER_TAG_IN_BLACK_LIST,
        'USER_TAG_USER_NOT_EXIST': USER_TAG_USER_NOT_EXIST,
        'USER_TAG_SYSTEM_ERROR': USER_TAG_SYSTEM_ERROR,
        'USER_TAG_UNKNOWN_ERROR': USER_TAG_UNKNOWN_ERROR,
        'ERROR_CIC_HID_CID_MISSING': ERROR_CIC_HID_CID_MISSING,
        'ERROR_CIC_CID_HID_MISSING': ERROR_CIC_CID_HID_MISSING,
        'ERROR_CIC_INDEX_NO_RECORD': ERROR_CIC_INDEX_NO_RECORD,
        'ERROR_CIC_INDEX_DIRTY': ERROR_CIC_INDEX_DIRTY,
        'ERROR_CIC_HID_CID_DEL_FAILED': ERROR_CIC_HID_CID_DEL_FAILED,
        'ERROR_CIC_CID_HID_DEL_FAILED': ERROR_CIC_CID_HID_DEL_FAILED,
        'ERROR_CIC_INDEX_DEL_FAILED': ERROR_CIC_INDEX_DEL_FAILED,
        'ERROR_DB_FAIL': ERROR_DB_FAIL,
        'ERROR_REGISTER_FAIL': ERROR_REGISTER_FAIL,
        'ERROR_UIC_DB_FLOW_CONTROLL': ERROR_UIC_DB_FLOW_CONTROLL,
        'ERROR_UIC_SERVICE_FLOW_CONTROLL': ERROR_UIC_SERVICE_FLOW_CONTROLL,
        'ERROR_UIC_READ_WRITE_FLOW_CONTROLL': ERROR_UIC_READ_WRITE_FLOW_CONTROLL,
        'ERROR_UIC_LOG_ERROR': ERROR_UIC_LOG_ERROR,
        'ERROR_UIC_SEQUENCE_ERROR': ERROR_UIC_SEQUENCE_ERROR,
        'ERROR_LOGINID_INVALID': ERROR_LOGINID_INVALID,
        'ERROR_MEMBERID_INVALID': ERROR_MEMBERID_INVALID,
        'ERROR_B2BEXTRAUSER_IS_NULL': ERROR_B2BEXTRAUSER_IS_NULL,
        'ERROR_MEMBER_ARRAY_IS_INVALID': ERROR_MEMBER_ARRAY_IS_INVALID,
        'ERROR_LOGINID_ARRAY_IS_INVALID': ERROR_LOGINID_ARRAY_IS_INVALID,
        'ERROR_USERINFO_NOT_FOUND': ERROR_USERINFO_NOT_FOUND,
        'ERROR_VERIFYPASSWORD_FAILED': ERROR_VERIFYPASSWORD_FAILED,
        'ERROR_SNICK_UPDATE_FAILED': ERROR_SNICK_UPDATE_FAILED,
        'ERROR_SNICK_SNICK_FAILED': ERROR_SNICK_SNICK_FAILED,
        'ERROR_FOLLOWUPJOIN_FAILED': ERROR_FOLLOWUPJOIN_FAILED,
        'ERROR_CHANGE_EMAIL_FAILED': ERROR_CHANGE_EMAIL_FAILED,
        'ERROR_CHANGE_MOBILE_FAILED': ERROR_CHANGE_MOBILE_FAILED,
        'ERROR_GET_HAVANAID_FAILED': ERROR_GET_HAVANAID_FAILED,
        'ERROR_ACTIVE_SPECIAL_SITE_FAILED': ERROR_ACTIVE_SPECIAL_SITE_FAILED,
        'ERROR_CANCEL_MOBILE_FAILED': ERROR_CANCEL_MOBILE_FAILED,
        'ERROR_CANCEL_EMAIL_FAILED': ERROR_CANCEL_EMAIL_FAILED,
        'ERROR_HAVANA_FAILED': ERROR_HAVANA_FAILED,
        'ERROR_HAVANA_SERVICE_FLOW_CONTROLL': ERROR_HAVANA_SERVICE_FLOW_CONTROLL,
        'ERROR_ACTIVATION_TYPE_NULL': ERROR_ACTIVATION_TYPE_NULL,
        'ERROR_HAVANA_MERGE_SECURITY_QUESTION': ERROR_HAVANA_MERGE_SECURITY_QUESTION,
        'ERROR_HAVANA_MERGE_SECURITY_PROFILE': ERROR_HAVANA_MERGE_SECURITY_PROFILE,
        'ERROR_HAVANA_MERGE_MEMBER_ERROR': ERROR_HAVANA_MERGE_MEMBER_ERROR,
        'ERROR_HAVANA_MERGE_SYSTEM_ERROR': ERROR_HAVANA_MERGE_SYSTEM_ERROR,
        'ERROR_HAVANA_MERGE_SERVICE_EXCEPTION': ERROR_HAVANA_MERGE_SERVICE_EXCEPTION,
        'ERROR_HAVANA_SPLIT_SYSTEM_ERROR': ERROR_HAVANA_SPLIT_SYSTEM_ERROR,
        'ERROR_HAVANA_SPLIT_SERVICE_EXCEPTION': ERROR_HAVANA_SPLIT_SERVICE_EXCEPTION,
        'ERROR_HAVANA_MERGE_UNKNOWN_ERROR': ERROR_HAVANA_MERGE_UNKNOWN_ERROR,
        'ERROR_HAVANA_SPLIT_UNKNOWN_ERROR': ERROR_HAVANA_SPLIT_UNKNOWN_ERROR,
        'ERROR_UP_LABEL_DUP_ERROR': ERROR_UP_LABEL_DUP_ERROR,
        'ERROR_UP_BRAND_DUP_ERROR': ERROR_UP_BRAND_DUP_ERROR,
        'ERROR_UP_COMMON_EXCEPTION_ERROR': ERROR_UP_COMMON_EXCEPTION_ERROR,
        'ERROR_UP_BRAND_UPDATE_ERROR': ERROR_UP_BRAND_UPDATE_ERROR,
        'WARN_UP_NO_DATA': WARN_UP_NO_DATA,
        'ERROR_UP_UNIQUE_NULL': ERROR_UP_UNIQUE_NULL,
        'ERROR_UP_CODE_DUP_ERROR': ERROR_UP_CODE_DUP_ERROR,
        'ERROR_UP_PARAM_ERROR': ERROR_UP_PARAM_ERROR,
        'ERROR_UP_CODE_NOTEXIST_ERROR': ERROR_UP_CODE_NOTEXIST_ERROR,
        'ERROR_UP_TZH_DATADUP_ERROR': ERROR_UP_TZH_DATADUP_ERROR,
        'ERROR_UP_SNS_DATADUP_ERROR': ERROR_UP_SNS_DATADUP_ERROR,
        'ERROR_UP_MULTI_DATA': ERROR_UP_MULTI_DATA,
        'ERROR_BIZID_AREA_INVALID': ERROR_BIZID_AREA_INVALID,
        'ERROR_BIZID_INVALID': ERROR_BIZID_INVALID,
        'ERROR_BIZID_USERID_INVALID': ERROR_BIZID_USERID_INVALID,
        'ERROR_BIZID_EXIST': ERROR_BIZID_EXIST,
        'ERROR_USER_NOT_CERT': ERROR_USER_NOT_CERT,
        'ERROR_INVALID_HAVANA_ID': ERROR_INVALID_HAVANA_ID,
        'ERROR_INVALID_ACCOUNTNO': ERROR_INVALID_ACCOUNTNO,
        'ERROR_INVALID_OUTUSER': ERROR_INVALID_OUTUSER,
        'ERROR_TAOBAO_DEGRADE_FAILED': ERROR_TAOBAO_DEGRADE_FAILED,
        'ERROR_ALIPAY_HAS_BOUND': ERROR_ALIPAY_HAS_BOUND,
        'ERROR_TAOBAO_ACCOUNT_NOT_EXIST': ERROR_TAOBAO_ACCOUNT_NOT_EXIST,
        'ERROR_TAOBAO_CANNOT_DEGRADE': ERROR_TAOBAO_CANNOT_DEGRADE,
        'ERROR_ALIPAY_ACCOUNT_NOT_EXIST': ERROR_ALIPAY_ACCOUNT_NOT_EXIST,
        'ERROR_ALIPAY_NOT_ALLOW_BIND': ERROR_ALIPAY_NOT_ALLOW_BIND,
        'ERROR_TAOBAO_UNBIND_FAILED': ERROR_TAOBAO_UNBIND_FAILED,
        'ERROR_ALIPAY_BIND_FAILED': ERROR_ALIPAY_BIND_FAILED,
        'ERROR_TAG_INDEX_OUT_BOUND': ERROR_TAG_INDEX_OUT_BOUND,
        'ERROR_DOMAIN_VALUE_UPDATE_FAILED': ERROR_DOMAIN_VALUE_UPDATE_FAILED,
        'ERROR_DOMAIN_VALUE_ALREDY_EXIST': ERROR_DOMAIN_VALUE_ALREDY_EXIST,
        'ERROR_DOMAIN_VALUE_IS_NULL': ERROR_DOMAIN_VALUE_IS_NULL,
        'ERROR_ILLEGAL_DOMAIN_DATA': ERROR_ILLEGAL_DOMAIN_DATA,
        'ERROR_ILLEGAL_TAG': ERROR_ILLEGAL_TAG,
        'ERROR_GET_LOCK_FAILED': ERROR_GET_LOCK_FAILED,
        'ERROR_DOMAIN_IS_NOT_ALLOWED': ERROR_DOMAIN_IS_NOT_ALLOWED,
        'ERROR_HSF_CONNECT_FAIL': ERROR_HSF_CONNECT_FAIL,
        'ERROR_UIC_SERVICE_CONNECT_FAIL': ERROR_UIC_SERVICE_CONNECT_FAIL,
        'ERROR_TAIR_SERVICE_RT_FLOW': ERROR_TAIR_SERVICE_RT_FLOW,
        'ERROR_TAIR_ILLEGAL_TRAFFIC': ERROR_TAIR_ILLEGAL_TRAFFIC,
        'ERROR_ALIPAY_TAG_TYPE': ERROR_ALIPAY_TAG_TYPE,
        'ERROR_WITHOUT_BIND_ALIPAY': ERROR_WITHOUT_BIND_ALIPAY,
        'ERROR_WITHOUT_ALIPAY_TRUST_AUTHENTICATION': ERROR_WITHOUT_ALIPAY_TRUST_AUTHENTICATION,
        'ERROR_CUSTOMER_INFO': ERROR_CUSTOMER_INFO,
        'ERROR_TAG_RECORD_IS_NOT_EXIST': ERROR_TAG_RECORD_IS_NOT_EXIST,
        'ERROR_TAG_RECORD_IS_INVALID': ERROR_TAG_RECORD_IS_INVALID,
        'ERROR_SYSTEM_EXCEPTION': ERROR_SYSTEM_EXCEPTION,
    };

    String getRType() {
        return r'com.taobao.uic.common.util.ResultCode';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        if (json['name'] == null || !enum_item_map.containsKey(json['name'])) {
            return;
        }
        ResultCode me = enum_item_map[json['name']];
        this.enum_item_name = me.enum_item_name;
        this.code = me.code;
        this.msg = me.msg;
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {'name':makePair(enum_item_name,14)};
        return val;
    }

    @override
    dynamic toJson() {
        return enum_item_name;
    }

    @override
    String toString() {
        return enum_item_name;
    }
}
